Subject: Re: bug#9469: buffer-local variables seem to remember previous values

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2011 20:54:04 +0200

Le Wang <[email-masked]> writes:

>> This has nothing to do with the use of quote, but with the use of
>> destructive functions (setcdr) on a shared data structure.
>
> Of course you're technically right, but should the manual mention in
> the "quoting" section that using quote the way I did results in a
> shared data structure?  This part was surprising to me.

If I read your code correctly, Andreas is correct and precise as usual,
if a bit terse.  :-)

The thing you're seeing has absolutely nothing to do with the use of
quote.

You're destructively altering a single list and expecting to see the
list be different in various buffers.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/